<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
    <HEAD>
        <TITLE>Frame Accessors test</TITLE>
    </HEAD>

    <BODY>
        <H1 align="center">Frame Accessors test </H1>

        <H2>Test Objectives</H2>
		<UL>
		<LI>Test accessing frame data structures in a trend raw frame</LI>		
		</UL>
		
		<H2>APIs affected by this test</H2>
		<UL>
		<LI><font color='brown'>managerAPI</font>: directs processing of the insertion user commands to other APIs
			and returns the user command status to the user.</LI>
		<LI><font color='brown'>diskcacheAPI</font>: 
			<UL>
			<LI>Retrieves the frame file names required by the frame query in ldas command.</li>
			</UL>
		<LI><font color='brown'>frameAPI</font>: 
			<UL>
			<LI>Retrives the frame data specified</LI>
			</UL>
		</UL>
				
        <H2>Setup</H2>
        <ul>
        <li>ligotools package is required for running this test. Check that it is mounted</li><p>
        <li>Install the following tests script in a directory on your local machine or the ldas system
		<UL><p>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/fracc.tcl?rev=HEAD;content-type=text%2Fplain'>fracc.tcl</a></font>
        - access one trend frame</li>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/fracc6.tcl?rev=HEAD;content-type=text%2Fplain'>fracc6.tcl</a></font>
        access another trend frame</li>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/fracc.tcl?rev=HEAD;content-type=text%2Fplain'>qalib.tcl</a></font>
        - support functions</li>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/fracc6.tcl?rev=HEAD;content-type=text%2Fplain'>qatest.tcl</a></font>
        - support functions</li>
		</UL>
        </li><p>
        <li>The following frame files must be mounted on ldas system and known to diskcacheAPI:<p>
        <p>For fracc.tcl test, <i>/ldas_outgoing/test/frames/assorted/T-R-600000000-1.gwf</i>
        <p>For fracc6.tcl,     <i>/ldas_outgoing/test/frames/assorted/T-R_std_test_frame_ver6-600000000-1.gwf</i>
        </ul>
        <H2>Test Execution</H2>

		<p>cd &lt;your scripts directory&gt;<p>
		
        <B>Usage:</B> <CODE>fracc.tcl [options] >& fracc.log & </CODE>

        <P><TABLE border=1 cellspacing=0 cellpadding=10>
            <TR>
                <TH><B>Option</B>
                <TH><B>Description</B>
			<TR>
                <TD valign=top><CODE>&lt;-s&gt;</CODE>
                <TD>ldas site e.g. dev, lho,llo, ldas-suntest3
        </TABLE><p>e.g.<pre><font color='brown'>
            fracc.tcl -s dev >& fracc.log &
            fracc6.tcl -s ldas-suntest3 >& fracc6.log &
            </font></pre>
		<p>
		<H2>Test Validation:</H2>
		When test has completed, check the end for expected passes and failures. 
        <p>As of ldas 1.2.3 here are the expected results:
        e.g. <pre><font color='brown'>
        fracc.tcl:      Total   172     Passed  138     Skipped 0       Failed  34
        fracc6.tcl:     Total   203     Passed  177     Skipped 0       Failed  26
         </font></pre>

    </BODY>
</HTML>

